Error during update

hosting

#1

trying to update form ucs 4.2-1 errata165 to ucs 4.3.1.
getting the following error can any help?

13.08.18 17:15:11.317 DEBUG_INIT **** Starting univention-updater with parameter=[’/usr/share/univention-updater/univention-updater’, ‘net’, ‘–updateto’, ‘4.3-1’, ‘–ignoressh’, ‘–ignoreterm’] Version=4.2 Patchlevel=1 starting net mode —>DBG:update_available(mode=net, cdrom_mount_point=/media/cdrom, iso=None) Checking network repository Update to = 4.2-2 **** Downloading scripts at Mon Aug 13 17:15:14 2018 **** Starting actual update at Mon Aug 13 17:15:18 2018 Running preup.sh script Mon Aug 13 17:15:18 CEST 2018 HINT: Please check the release notes carefully BEFORE updating to UCS 4.2-2: English version: https://docs.software-univention.de/release-notes-4.2-2-en.html German version: https://docs.software-univention.de/release-notes-4.2-2-de.html Please also consider documents of following release updates and 3rd party components. Do you want to continue [Y/n]? Custom preupdate script /var/lib/local-preup.sh not found WARNING: skipped disk-usage-test as requested Checking for package status: OK Checking LDAP schema: 5b71a086 OVER: Loading Translog Overlay 5b71a086 Loading shadowbind Overlay.OVER: db_init 5b71a086 OVER: Configuring Translog Overlay 5b71a086 OVER: Configured Translog Overlay to use file “/var/lib/univention-ldap/listener/listener” 5b71a086 shadowbind_db_init 5b71a086 shadowbind_db_config 5b71a086 shadowbind_db_open 5b71a086 OVER: db_close 5b71a086 shadowbind_db_destroy 5b71a086 OVER: db_destroy OK /etc/univention/templates/files/etc/apache2/sites-available/ssl.d/00start WARNING: There are modified Apache configuration files in /etc/univention/templates/files/etc/apache2/sites-available/. Please restore the original configuration files before upgrading and apply the manual changes again after the upgrade succeeded. This check can be skipped by setting the UCR variable update42/ignore_apache_template_checks to yes. Error: Update aborted by pre-update script of release 4.2-2


#2

Can you use the Appliance or is it now in a broken state?

Is this upgrade essential to you?

I contacted univention, maybe they can help.


#3

Hello dmitry.

im getting this error when using the Appliance.
and yes the upgrade is essential for me.


#4

Hi, this error is logged to the file /var/log/univention/updater.log. You can check and paste from the file in the future to present the error to the forum in a more readable way.

I noticed the following in the output you posted:
WARNING: There are modified Apache configuration files in /etc/univention/templates/files/etc/apache2/sites-available/. Please restore the original configuration files before upgrading and apply the manual changes again after the upgrade succeeded.

Modified files in the apache configuration can cause issues when updating, that is why the update is stopped. Do not edit files that start with a warning at their top. To proceed with the update, make a backup of your apache2 config and reapply the current UCS settings with ucr commit /etc/apache2/*. Then, restart the update. If you run into any issues, please have a look at the UCS help forum, which is the platform the ownCloud appliance is running on. Chances are you find a thread with a similar error to yours that already has an answer.